Create ScheduledEventConfiguration - m3ter Documentation
Create ScheduledEventConfiguration
cURL
curl --request POST \
--url https://api.m3ter.com/organizations/{orgId}/scheduledevents/configurations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "scheduled.bill.enddateEvent",
"entity": "Bill",
"field": "endDate",
"offset": 5
}
'
Python
import requests
url = "https://api.m3ter.com/organizations/{orgId}/scheduledevents/configurations"
payload = {
"name": "scheduled.bill.enddateEvent",
"entity": "Bill",
"field": "endDate",
"offset": 5
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'scheduled.bill.enddateEvent',
entity: 'Bill',
field: 'endDate',
offset: 5
})
};
fetch('https://api.m3ter.com/organizations/{orgId}/scheduledevents/configurations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Expected Responses
200 OK
{
"id": "<string>",
"name": "10 days after bill due date",
"entity": "Bill",
"field": "dueDate",
"offset": 10,
"version": 123,
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>"
}
Error Responses
{
"message": "<string>"
}
Request Body
- name: The name of the custom Scheduled Event Configuration. Format:
scheduled._name of entity_. _custom event name_
- entity: The referenced configuration or billing entity.
- field: A DateTime field for which the desired scheduled Event will trigger.
- offset: The offset in days from the specified DateTime field on the referenced entity when the scheduled Event will trigger.